package echo.actions;

import org.apache.jetspeed.modules.actions.portlets.JspPortletAction;
import org.apache.jetspeed.portal.Portlet;
import org.apache.jetspeed.services.rundata.JetspeedRunData;
import org.apache.jetspeed.services.statemanager.SessionState;

import org.apache.turbine.util.RunData;

import org.apache.velocity.context.Context;

public class EchoAction extends JspPortletAction  {

  public void buildNormalContext( Portlet portlet, RunData runData )
              throws Exception  {
    SessionState sessionState = ((JetspeedRunData)runData).getPageSessionState();
    String echo2 = (String)sessionState.getAttribute( "echo2" );
    if ( echo2 == null )
              echo2 = portlet.getPortletConfig().getInitParameter( "echo" );
    runData.getSession().setAttribute( "echo2", echo2 );
  }

  public void doUpdate( RunData runData, Context context ) throws Exception  {

    SessionState sessionState = ((JetspeedRunData)runData).getPageSessionState();
    String  echo2   = runData.getParameters().getString( "echo2" );

    if ( echo2 != null && echo2.trim().length() > 0 )
                            sessionState.setAttribute( "echo2", echo2 );
  }

}
