package echo.portlets;

import org.apache.ecs.ConcreteElement;
import org.apache.ecs.Element;
import org.apache.ecs.html.*;
import org.apache.jetspeed.portal.portlets.AbstractInstancePortlet;
import org.apache.jetspeed.om.security.JetspeedUser;
import org.apache.turbine.util.RunData;
import org.apache.turbine.om.security.User;

public class EchoPortlet extends AbstractInstancePortlet  {

  public ConcreteElement getContent( RunData runData )  {

    String greeting = "͂߂܂!";

    User user = runData.getUser();

    if ( ((JetspeedUser)user).isNew() )  {
      greeting = "͂߂܂! " + user.getUserName() + "";
    } else {
      greeting = "xł! " + user.getUserName() + " "
                   + user.getLastLogin().toString() + "Ԃł";
    }

    Center body = new Center();
    body.addElement( new H3(greeting) );
    Table table = new Table();
    table.setBorder( 1 );
    table.setAlign( "CENTER" );
    table.setWidth( "100%" );
    TR tr = new TR();
    tr.addElement( new TH( "ݒ肳Ăf[^" ) );
    tr.addElement( new TH( "\bh" ) );
    tr.addElement( new TH( "ۂ̒l" ) );
    table.addElement( new THead().addElement( tr ) );
    TBody tbody = new TBody();
    tbody.addElement( getTR( "O()", "getLastName", user.getLastName() ) );
    tbody.addElement( getTR( "O()", "getFirstName", user.getFirstName() ) );
    tbody.addElement( getTR( "[AhX", "getEmail", user.getEmail() ) );
    tbody.addElement( getTR( "ŌɃANZX", "getLastAccessDate", user.getLastAccessDate().toString() ) );
    tbody.addElement( getTR( "ANZXJE^(PermStorage)", "getAccessCounter", String.valueOf( user.getAccessCounter() ) ) );
    tbody.addElement( getTR( "ANZXJE^(forSession)", "getAccessCounterForSession", String.valueOf( user.getAccessCounterForSession() ) ) );
    table.addElement( tbody );
    body.addElement( table );
    return body;

  }

  private TR getTR( String title, String method, String data )  {
    TR tr = new TR();
    tr.addElement( new TD( title  ) );
    tr.addElement( new TD( method ) );
    tr.addElement( new TD( data   ) );
    return tr;
  }

}
